#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.11
visibility:           public
id:                   foldl-1.4.11-51u58IgQREYL4oSkwuaWfx
key:                  foldl-1.4.11-51u58IgQREYL4oSkwuaWfx
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  d644896eadecc2b3da7792e0ad939ea5
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-8.10.4/site-local/foldl-1.4.11
library-dirs:         /usr/lib/ghc-8.10.4/site-local/foldl-1.4.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/foldl-1.4.11
hs-libraries:         HSfoldl-1.4.11-51u58IgQREYL4oSkwuaWfx
depends:
    base-4.14.1.0 bytestring-0.10.12.0
    comonad-5.0.8-GOOwljeTBk92oqeE1rgL6g containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    mwc-random-0.15.0.1-V6NtIXn2JgKNIUbVkxRbp
    primitive-0.7.1.0-6UD0eBDEpnYKdWwYIx7Zvv
    profunctors-5.6.2-6NWbnc2ZArY80Zu7L945oz
    semigroupoids-5.3.5-9UNsYItEs0S60kF3ioxlJt text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-ApNkHwNvshX8NJ7lvcglMy
    vector-0.12.2.0-6b7mFy2cENT3vKiDJ1nfAK

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

